@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Yeseva+One&display=swap");
::-webkit-scrollbar {
  width: .5rem; }

/* Track */
::-webkit-scrollbar-track {
  background: #1f2942; }

/* Handle */
::-webkit-scrollbar-thumb {
  background: #0f1320; }

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #07090e; }

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
  font-family: "Roboto", sans-serif;
  outline: none;
  scrollbar-color: #0f1320 #1f2942;
  scrollbar-width: thin;
  scrollbar-highlight-color: #07090e; }

html {
  box-sizing: border-box;
  font-size: 85%; }

body {
  background-color: #171e31; }

.layout {
  display: grid;
  grid-template-columns: minmax(20rem, 20vw) minmax(80vw, 1fr);
  grid-template-rows: minmax(max-content, calc(100vh - 9rem)) 9rem; }

.user {
  position: absolute;
  top: 2rem;
  right: 3rem;
  z-index: 15;
  transition: all 0.2s cubic-bezier(0.165, 0.84, 0.44, 1); }
  .user__link {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 3.5rem;
    height: 3.5rem;
    border-radius: 100px;
    transition: all 0.2s cubic-bezier(0.165, 0.84, 0.44, 1);
    overflow: hidden;
    background-color: #12192c;
    text-decoration: none;
    color: #12192c;
    border: none;
    outline: none;
    cursor: pointer; }
  .user__img {
    width: 3.5rem;
    height: 3.5rem;
    border-radius: 100px;
    object-fit: cover;
    border: 2px solid rgba(29, 185, 84, 0.5);
    transition: all 0.2s cubic-bezier(0.165, 0.84, 0.44, 1); }
  .user__logout {
    margin-left: .5rem;
    overflow: hidden;
    transition: all 0.2s cubic-bezier(0.165, 0.84, 0.44, 1);
    text-decoration: none;
    color: white;
    font-weight: 400;
    text-transform: capitalize; }
  .user:hover .user__link {
    width: 9rem; }

.logout {
  bottom: 11rem;
  width: 80%;
  align-self: center;
  margin-top: 1.5rem;
  padding: 1.5rem;
  background: none; }

.navbar {
  height: 100%;
  width: 100%;
  position: relative;
  background-color: #12192c;
  display: flex;
  flex-direction: column; }
  .navbar__brand {
    padding: 3rem; }
  .navbar__name {
    text-transform: uppercase;
    color: #1db954;
    font-family: 'Yeseva One', serif;
    font-weight: 800;
    font-size: 1.5rem; }
  .navbar__list {
    display: flex;
    flex-direction: column; }
  .navbar__library {
    display: flex;
    flex-direction: column;
    margin-top: 3rem; }
    .navbar__library h3 {
      color: #f2466c;
      text-transform: uppercase;
      text-decoration: none;
      font-size: .9rem;
      margin-left: 3rem;
      margin-bottom: .5rem; }
  .navbar__playlists {
    display: flex;
    flex-direction: column;
    margin-top: 3rem; }
    .navbar__playlists .scroller {
      height: 25vh;
      overflow-y: scroll;
      /* Track */
      /* Handle */
      /* Handle on hover */ }
      .navbar__playlists .scroller::-webkit-scrollbar {
        width: .5rem; }
      .navbar__playlists .scroller::-webkit-scrollbar-track {
        background: #12192c; }
      .navbar__playlists .scroller::-webkit-scrollbar-thumb {
        background: #1db954; }
      .navbar__playlists .scroller::-webkit-scrollbar-thumb:hover {
        background: #171e31; }
    .navbar__playlists h3 {
      color: #f2466c;
      text-transform: uppercase;
      text-decoration: none;
      font-size: .9rem;
      margin-left: 3rem;
      margin-bottom: .5rem; }
  .navbar__link {
    color: white;
    width: 100%;
    padding: 1rem 3rem;
    text-transform: uppercase;
    text-decoration: none;
    font-weight: 500;
    font-size: 1rem;
    display: flex;
    flex-direction: row;
    transition: all .1s ease-in; }
    .navbar__link:hover {
      background-image: linear-gradient(to right, #1db954 1%, rgba(29, 185, 84, 0.2) 1%, transparent 50%);
      color: #1db954; }
  .navbar__icon {
    margin-right: 1.2rem; }

.home {
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: relative;
  overflow: hidden;
  display: grid;
  grid-template-rows: 3rem minmax(max-content, 1fr); }

.searchbar {
  width: 100%;
  display: flex;
  flex-direction: row;
  position: relative; }
  .searchbar__icon {
    position: absolute;
    top: 1.3rem;
    left: 3.5rem;
    color: #737b91; }
  .searchbar__input {
    width: 80%;
    height: 3rem;
    padding: 1rem 5.5rem 0rem;
    outline: none;
    background-color: transparent;
    color: white;
    border: none; }
    .searchbar__input::placeholder {
      color: #737b91; }

.f_display {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(5, minmax(12rem, 23vh));
  column-gap: 1.5rem;
  justify-content: center;
  position: absolute;
  left: 0;
  top: 0; }

.horizontal {
  position: relative;
  width: 100%;
  min-height: 16rem;
  height: 25vh;
  overflow: hidden; }

.preview {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  opacity: 0; }

.featured {
  padding: 3rem 10%;
  width: 100%;
  min-width: 90rem;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-around; }
  .featured__item-main {
    position: relative;
    width: 100%;
    min-height: 16rem;
    height: 25vh;
    overflow: hidden;
    cursor: pointer;
    display: grid;
    grid-template-rows: 1fr 2fr 1fr;
    grid-template-columns: 1fr !important;
    border-radius: 10px;
    margin-bottom: 2rem;
    flex-shrink: 0;
    background-size: cover;
    background-position: center;
    background-color: rgba(23, 30, 49, 0.4);
    background-blend-mode: hard-light;
    background-repeat: no-repeat;
    color: white; }
    .featured__item-main:hover .preview {
      opacity: 1; }
    .featured__item-main h2 {
      padding: 1.5rem;
      text-transform: uppercase; }
    .featured__item-main div:not(.text-center) {
      text-align: center;
      padding: 0 3rem;
      text-align: center;
      text-transform: uppercase;
      grid-row: 3/span 1; }
  .featured__text {
    color: white; }
    .featured__text h3 {
      text-transform: uppercase;
      font-size: 1.6rem;
      margin-bottom: .5rem; }
    .featured__text p {
      text-transform: lowercase;
      color: #737b91; }
  .featured__control {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: left;
    margin: 1rem; }
  .featured__page-button {
    outline: none;
    border-radius: 100px;
    padding: .3rem;
    background-color: transparent;
    border: 1px solid white;
    margin: .5rem;
    cursor: pointer; }
    .featured__page-button--active {
      background-color: white; }

.text-center {
  align-self: center;
  justify-self: center; }

.featured__items {
  padding-top: 1rem;
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-around; }
  .featured__items h4 {
    color: white;
    font-size: .8rem;
    justify-self: center; }
  .featured__items p {
    color: #737b91; }

.playlist__item {
  padding: .5rem;
  display: flex;
  flex-direction: column;
  width: 7rem;
  align-items: center;
  text-align: center;
  cursor: pointer; }

.playlist__image {
  width: 6rem;
  height: 6rem;
  border-radius: 100px;
  overflow: hidden;
  margin-bottom: 1rem;
  position: relative; }
  .playlist__image img {
    width: 7rem;
    height: 7rem;
    border-radius: 100px;
    object-fit: cover; }
  .playlist__image::after {
    content: '';
    width: .5rem;
    height: .5rem;
    border-radius: 100px;
    position: absolute;
    background-color: white;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); }

.playlist-page {
  grid-row: 1/ 2;
  grid-column: 2/ span 1;
  display: grid;
  grid-template-rows: 20rem calc(100vh - 29rem); }

.playlist__cover {
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: relative; }

.playlist__bg {
  filter: blur(20px);
  height: 100%;
  width: 100%;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  background-color: rgba(0, 0, 0, 0.5);
  background-blend-mode: darken;
  position: absolute;
  z-index: -1; }

.playlist__header {
  padding: 2rem;
  z-index: 5;
  display: flex;
  flex-direction: row;
  align-items: end;
  padding-bottom: 3rem; }
  .playlist__header img {
    height: 15rem;
    border-radius: 10px; }

.playlist__text {
  color: white;
  padding: 2rem; }
  .playlist__text h3 {
    font-size: 4rem;
    padding: .5rem 0rem; }
  .playlist__text p {
    font-size: 1.6rem;
    text-transform: lowercase;
    font-weight: 300; }

.playlist__tracks {
  width: 100%;
  grid-row: 2/span 1;
  min-height: 17rem;
  overflow-y: scroll;
  display: flex;
  flex-direction: column; }

.playlist__track {
  width: 100%;
  display: grid;
  grid-template-columns: 2rem repeat(4, 1fr) 10rem;
  padding: 1rem 3rem;
  color: #e6e4e4;
  border-bottom: 1px solid #12192c;
  position: relative;
  text-align: left; }
  .playlist__track:first-child {
    padding-left: 3rem; }
  .playlist__track button {
    padding: .5rem;
    background-color: #1db954;
    color: white;
    border: none;
    cursor: pointer;
    outline: none; }
    .playlist__track button:hover {
      background-color: #1aa34a; }
  .playlist__track > * {
    font-size: .9rem;
    padding: .5rem; }
  .playlist__track h3:not(:first-child) {
    margin-left: 2rem; }
  .playlist__track--title > * {
    color: #737b91; }
  .playlist__track:hover:not(:first-child) {
    background-color: #1a2238;
    color: white; }

.button_delete {
  position: absolute;
  width: 1rem;
  height: 100%;
  cursor: pointer;
  left: 1rem;
  top: 0; }
  .button_delete > * {
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); }

.track__index {
  color: #737b91; }

.login__content {
  width: 100vw;
  height: 100vh;
  background-image: linear-gradient(to bottom, #171e31, rgba(23, 30, 49, 0.6)), url("https://images.pexels.com/photos/2796145/pexels-photo-2796145.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=750&w=1260");
  background-size: cover;
  background-blend-mode: hard-light; }
  .login__content h3 {
    min-width: 30rem;
    position: absolute;
    top: 35%;
    left: 50%;
    text-align: center;
    color: white;
    font-size: 3rem;
    transform: translate(-50%, -50%); }

.login__button {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #1db954;
  color: white;
  text-decoration: none;
  text-transform: uppercase;
  font-size: 1rem;
  font-weight: bold;
  padding: 1.5rem 2rem;
  border: 1px solid #1db954;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 5px; }
  .login__button > * {
    margin-right: 1rem; }

.player {
  height: 9rem;
  background-color: white;
  overflow: hidden;
  grid-column: 1/-1;
  display: grid;
  grid-template-columns: minmax(min-content, 15vw) 15rem 35vw 15rem;
  padding: .5rem 3rem;
  align-items: center;
  justify-content: center; }
  .player__pl {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    margin-left: 3rem; }
  .player__playlists {
    width: 23rem; }
  .player__playlists-content {
    border-radius: 5px;
    height: 30vh;
    width: 100%;
    overflow-y: scroll;
    background-color: #212e50;
    display: flex;
    flex-direction: column; }
  .player__playlist-item {
    width: 100%;
    padding: 1rem;
    color: white;
    font-weight: bold;
    text-transform: uppercase;
    cursor: pointer; }
    .player__playlist-item:hover {
      background-color: #1bac4e; }
  .player__button-pl {
    padding: .5rem;
    background-color: #1db954;
    color: white;
    border: none;
    cursor: pointer;
    outline: none;
    margin: 0 4rem;
    border-radius: 5px; }
    .player__button-pl > * {
      color: white; }
  .player__info {
    display: flex;
    flex-direction: row;
    align-items: center; }
  .player__image {
    width: 5rem;
    height: 5rem;
    margin-right: 2rem;
    border-radius: 100px;
    object-fit: cover;
    position: relative; }
    .player__image::after {
      content: '';
      width: .5rem;
      height: .5rem;
      border-radius: 100px;
      position: absolute;
      background-color: white;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%); }
  .player__text p {
    color: #737b91;
    font-size: .8rem; }
  .player__controls {
    display: flex;
    justify-content: center;
    align-items: center; }
    .player__controls button {
      background: none;
      border: none;
      outline: none;
      cursor: pointer;
      display: flex;
      justify-content: center;
      align-items: center;
      margin: .3rem; }
  .player__left {
    color: #737b91; }
  .player__start {
    background-color: #1db954 !important;
    border-radius: 100px;
    color: white;
    padding: .5rem; }
  .player__right {
    color: #737b91; }
  .player__loader {
    width: 100%;
    display: grid;
    grid-template-columns: max-content 1fr max-content;
    align-items: center; }
    .player__loader p {
      font-weight: 500;
      color: #737b91; }
  .player__lbg {
    margin: 0 2rem;
    height: .3rem;
    background-color: rgba(115, 123, 145, 0.25);
    border-radius: 10px; }
  .player__progress {
    position: relative;
    left: 0;
    height: 100%;
    border-radius: 10px;
    background-color: #1db954;
    transition: width 0.1s cubic-bezier(0.165, 0.84, 0.44, 1); }
  .player__progress-ball {
    position: absolute;
    display: none;
    width: 1rem;
    height: 1rem;
    background-color: #1db954;
    border-radius: 100px;
    right: 0;
    top: 50%;
    transform: translate(50%, -50%); }
    .player__progress-ball::before {
      content: '';
      position: absolute;
      width: 1.8rem;
      height: 1.8rem;
      background-color: rgba(29, 185, 84, 0.25);
      border-radius: 100px;
      left: 50%;
      top: 50%;
      transform: translate(-50%, -50%); }

.loader__container {
  width: calc(100%);
  height: calc(100vh - 9rem);
  display: flex;
  justify-content: center;
  align-items: center; }

.loader__l {
  fill: #1db954;
  -webkit-animation-name: spin;
  -webkit-animation-duration: 2000ms;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-timing-function: linear;
  -moz-animation-name: spin;
  -moz-animation-duration: 2000ms;
  -moz-animation-iteration-count: infinite;
  -moz-animation-timing-function: linear;
  -ms-animation-name: spin;
  -ms-animation-duration: 2000ms;
  -ms-animation-iteration-count: infinite;
  -ms-animation-timing-function: linear;
  animation-name: spin;
  animation-duration: 2000ms;
  animation-iteration-count: infinite;
  animation-timing-function: linear; }

.browse {
  height: 100%;
  width: 100%;
  position: relative; }
  .browse__images-container {
    width: 100%;
    overflow: hidden;
    padding: 3rem 5vw;
    z-index: 10; }
  .browse__content-images {
    display: flex;
    flex-direction: row;
    align-items: start;
    transition: all 0.7s cubic-bezier(0.165, 0.84, 0.44, 1);
    height: 20vw; }
  .browse__image-item {
    width: 12vw;
    height: 12vw;
    flex-shrink: 0;
    background-size: cover;
    background-position: center;
    transition: all 0.7s cubic-bezier(0.165, 0.84, 0.44, 1);
    margin-top: 1.5rem;
    scale: 1;
    border-radius: 10px; }
    .browse__image-item:not(:first-child) {
      margin-left: 1vw; }
    .browse__image-item--main {
      margin-top: 0rem;
      scale: 1;
      width: 18vw;
      height: 18vw; }
  .browse__content-text {
    position: absolute;
    width: 100%;
    height: calc(100% - 14vw);
    bottom: 0;
    left: 0;
    z-index: 0;
    overflow: hidden; }
  .browse__bg {
    position: relative;
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
    background-size: cover;
    background-position: center;
    filter: blur(500px);
    overflow: hidden; }
  .browse__text-content {
    position: absolute;
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
    padding: 8vw;
    padding-right: 15vw;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: space-between; }
    .browse__text-content h2 {
      font-size: 4rem;
      padding: .5rem 0rem;
      font-weight: 200; }
    .browse__text-content p {
      font-size: 1.2rem;
      text-transform: lowercase;
      font-weight: 300; }
    .browse__text-content div {
      margin-top: 2rem;
      display: grid;
      grid-template-columns: repeat(3, 1fr); }
      .browse__text-content div > * {
        padding: .8rem 5rem;
        color: white;
        border-radius: 50px;
        outline: none;
        cursor: pointer;
        margin: 1rem;
        text-transform: uppercase;
        transition: all 0.2s cubic-bezier(0.165, 0.84, 0.44, 1);
        font-weight: 500; }
        .browse__text-content div > *:hover {
          transform: scale(1.05); }
      .browse__text-content div .play {
        background-color: #1db954;
        border: none;
        transition: all 0.2s cubic-bezier(0.165, 0.84, 0.44, 1);
        box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1); }
        .browse__text-content div .play:hover {
          transform: scale(1.05); }
      .browse__text-content div .add {
        background-color: transparent;
        border: 1px solid white; }

@-ms-keyframes spin {
  from {
    -ms-transform: rotate(0deg); }
  to {
    -ms-transform: rotate(360deg); } }

@-moz-keyframes spin {
  from {
    -moz-transform: rotate(0deg); }
  to {
    -moz-transform: rotate(360deg); } }

@-webkit-keyframes spin {
  from {
    -webkit-transform: rotate(0deg); }
  to {
    -webkit-transform: rotate(360deg); } }

@keyframes spin {
  from {
    transform: rotate(0deg); }
  to {
    transform: rotate(360deg); } }

.create-playlist {
  width: 70%;
  margin: 3rem;
  cursor: pointer;
  border: 1px solid #1db954;
  background: none;
  padding: 1rem;
  text-transform: uppercase;
  color: #1db954;
  outline: none;
  transition: all 0.2s cubic-bezier(0.165, 0.84, 0.44, 1); }
  .create-playlist > * {
    margin-right: 1rem; }
  .create-playlist:hover {
    transform: scale(1.01); }

.modal {
  position: absolute;
  left: 0;
  top: 0;
  background-color: rgba(18, 25, 44, 0.7);
  width: 100%;
  height: 100%;
  z-index: 55; }
  .modal__bg {
    background-color: rgba(18, 25, 44, 0.7);
    width: 100%;
    height: 100%; }
  .modal__content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); }

.create-list-modal {
  width: 30rem;
  height: 25rem;
  overflow: hidden;
  background-color: white; }
  .create-list-modal form {
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-rows: 5rem 1fr 5rem;
    border-bottom: none;
    background-color: #171e31; }
  .create-list-modal .form__control {
    width: 100%;
    height: 100%; }
    .create-list-modal .form__control > * {
      padding: 2rem;
      resize: none;
      width: 100%;
      border: none;
      height: 100%;
      outline: none;
      background-color: #171e31;
      color: white;
      font-size: 1rem; }
      .create-list-modal .form__control > *::placeholder {
        color: #737b91; }
  .create-list-modal .form__submit {
    width: 100%;
    height: 100%;
    border: none;
    outline: none;
    background-color: #1db954;
    color: white;
    font-weight: 500;
    cursor: pointer; }

.error, .information {
  width: 25rem;
  padding: 2rem;
  background-color: white;
  display: flex;
  flex-direction: column;
  justify-items: center;
  align-items: center;
  color: #e94c66;
  border-radius: 10px; }
  .error__message, .information__message {
    width: 100%;
    margin: 1rem auto 2rem;
    color: #171e31;
    font-size: 1rem;
    text-align: center; }

.information {
  color: #87c549; }

.browse__image-reset {
  position: absolute;
  left: 2rem;
  top: 3rem;
  height: 18vw;
  width: 3rem;
  background-color: #12192c;
  background-color: transparent;
  outline: none;
  cursor: pointer;
  color: white;
  border: none; }

.search__results {
  width: 100%;
  position: absolute;
  height: calc(100%);
  top: 4rem;
  z-index: 10;
  background-color: #171e31;
  display: flex;
  flex-direction: column;
  overflow-y: scroll; }

.search__result-item {
  width: 100%;
  display: grid;
  grid-template-columns: max-content 1fr;
  padding: .5rem 3rem;
  cursor: pointer; }
  .search__result-item:hover {
    background-color: #192034; }
  .search__result-item img {
    height: 10rem;
    width: 10rem;
    border-radius: 10px; }
  .search__result-item div {
    padding: 3rem;
    color: white; }
    .search__result-item div h3 {
      margin-bottom: .5rem; }
    .search__result-item div p {
      text-transform: lowercase;
      color: #737b91; }
